/*------------------------------------------------------------
COMPONENT STYLES
------------------------------------------------------------*/

/*--------------------------------------------------
Breadcrumbs
--------------------------------------------------*/
.breadcrumbs ol {
  list-style: none;
  align-items: center;
}

.breadcrumbs a {
  color: var(--gray-8);
  text-decoration: none;
  transition: var(--transition);
  padding: var(--space-xs);
  border-radius: var(--space-xs);
}

.breadcrumbs a:hover {
  background-color: var(--gray-1);
  color: var(--gray-9);
}

.breadcrumbs a:hover svg {
  color: var(--gray-8);
}

.breadcrumbs .current {
  color: var(--gray-9);
  display: block;
  padding: var(--space-xs);
}

/* Breadcrumbs – Ghost
----------------------------------------*/
.breadcrumbs.ghost :where(a, svg, span) {
  color: #fff;
  text-shadow: var(--text-shadow);
}

.breadcrumbs.ghost .current {
  opacity: 0.5;
}

/*--------------------------------------------------
Modals
--------------------------------------------------*/
.modal_mask {
  position: fixed;
  inset: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--mask-bg);
  z-index: var(--z-modal);
  opacity: 0;
  pointer-events: none;
  transition: var(--transition);
}

.modal.open .modal_mask {
  opacity: 1;
  pointer-events: auto;
}

.modal .modal_box {
  box-shadow: var(--box-shadow-dark);
  width: min(100%, 25em);
  transform: scale(0);
  transition: var(--transition-slow);
  overflow: visible;
}

.modal.open .modal_box {
  transform: scale(1);
}

.modal .btn_close {
  position: absolute;
  top: -2em;
  right: -2em;
  border-radius: 100%;
  padding: 0;
  aspect-ratio: 1/1;
  width: var(--space-lg);
  font-weight: 600;
  cursor: pointer;
  height: auto;
  line-height: 1;
  margin: 0;
}

/*--------------------------------------------------
Modals – Sample
--------------------------------------------------*/
.modal_sample .modal_box {
  width: min(100%, 40em);
  overflow: scroll;
  max-height: 80vh;
  border-radius: 0;
}

/*--------------------------------------------------
Share Modal
--------------------------------------------------*/
.modal_share header {
  margin-bottom: var(--space-sm);
  text-align: center;
}

.modal_share header .title {
  margin-bottom: var(--space-xxxxs);
  font-size: var(--text-lg);
}

.modal_share header .subtitle {
  color: var(--gray-8);
  font-style: italic;
}

.modal_share ul {
  --grid-space: var(--space-sm);
}

.modal_share ul a {
  text-decoration: none;
  text-align: center;
  display: block;
  color: var(--gray-6);
  font-size: 0.9em;
}

.modal_share ul svg {
  background-color: var(--color-secondary-darker);
  aspect-ratio: 1/1;
  padding: 1em;
  border-radius: 100%;
  color: #fff;
  box-shadow: var(--box-shadow-sm);
  display: block;
  margin: 0 auto var(--space-xxs);
  font-size: 1.25em;
  transition: var(--transition);
}

/* Share Buttons – Copy Link
--------------------------------------------------*/
.modal_share .copy_link {
  display: flex;
  align-items: center;
  /* gap: 0.5rem; */
  margin: 1em auto;
  width: min(100%, 19em);
}

.modal_share input.copy_url {
  flex: 4;
  font-size: 0.9rem;
  border: 1px solid var(--gray-3);
  border-radius: var(--space-xxs) 0 0 var(--space-xxs);
  border-right-width: 0;
  height: 2.5em;
  pointer-events: none;
  color: var(--gray-6);
}

.modal_share button.copy_btn {
  flex: 1;
  font-size: 0.9em;
  cursor: pointer;
  height: 2.5em;
  background-color: var(--gray-2);
  border-radius: 0 var(--space-xxs) var(--space-xxs) 0 0;
}

/* Share Buttons – Hues
--------------------------------------------------*/
.modal_share a.facebook svg {
  background-color: var(--color-facebook);
}

.modal_share a.twitter svg {
  background-color: var(--color-twitter);
}

.modal_share a.whatsapp svg {
  background-color: var(--color-whatsapp);
}

.modal_share a.linkedin svg {
  background-color: var(--color-linkedin);
}

.modal_share a.telegram svg {
  background-color: var(--color-telegram);
}

/* Share Buttons – States
--------------------------------------------------*/
.modal_share ul a:hover svg {
  transform: scale(1.1);
}

.modal_share ul a:active svg {
  transform: scale(1);
}

/*--------------------------------------------------
Tooltips
--------------------------------------------------*/
.has_tooltip {
  position: relative;
}

.tooltip {
  position: absolute;
  opacity: 0;
  visibility: hidden;
  color: var(--gray-9);
  background-color: #fff;
  width: 7em;
  text-align: center;
  padding: var(--space-xxxs);
  border-radius: var(--space-sm);
  font-size: var(--text-sm);
  left: 50%;
  transform: translateX(-50%);
  transition: var(--transition);
  border: 1px solid var(--gray-2);
  box-shadow: var(--box-shadow-sm);
}

/* Tooltip – Position
----------------------------------------*/
.tooltip.tooltip.show_bottom {
  bottom: -2.75em;
}

.tooltip.tooltip.show_top {
  top: -2.75em;
}

/* Tooltip – Arrow
----------------------------------------*/
.tooltip::before {
  content: "";
  width: 0;
  height: 0;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

.tooltip.show_bottom::before {
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-bottom: 7px solid #fff;
  top: -7px;
}

.tooltip.show_top::before {
  border-left: 7px solid transparent;
  border-right: 7px solid transparent;
  border-bottom: 7px solid #fff;
  top: -7px;
}

/* Tooltip – States
----------------------------------------*/
.has_tooltip.show_hover:hover .tooltip,
.tooltip.show {
  opacity: 1;
  visibility: visible;
}

/*--------------------------------------------------
Pagination
--------------------------------------------------*/
.pagination {
  display: flex;
  /* flex-wrap: wrap; */
  margin: var(--space-xl) auto;
  width: min(100%, 25em);
  gap: 1em;
  position: relative;
}

.pagination .page-numbers {
  display: block;
  text-decoration: none;
  color: var(--gray-9);
  border: 1px solid var(--gray-2);
  border-radius: var(--space-xxs);
  height: var(--space-xl);
  text-align: center;
  flex: 1;
  /* aspect-ratio: 1/1; */
  line-height: var(--space-xl);
  transition: var(--transition);
}

.pagination :is(.prev, .next) {
  width: min(100%, 48%);
  position: absolute;
  bottom: -4em;
}

.pagination :is(.prev, .next) svg {
  position: relative;
  top: 0.125em;
}

.pagination .prev {
  order: 1;
  left: 0;
}

.pagination .next {
  order: 2;
  right: 0;
}

/* if pagination has less than 5 pages 
----------------------------------------*/
.pagination.short {
  justify-content: center;
}

.pagination.short .page-numbers {
  flex: 0;
  aspect-ratio: 1/1;
}

.pagination.short :is(.prev, .next) {
  display: none;
}

/* Pagination – States
----------------------------------------*/
.pagination .page-numbers.current {
  background-color: var(--color-primary-lighter);
  cursor: default;
}

.pagination .page-numbers:not(.current):hover {
  color: var(--color-primary);
  border-color: var(--color-primary);
}

/* .pagination .page-numbers:is(.prev, .next):hover {
  background-color: var(--color-primary-lighter);
  color: var(--gray-9);
} */

/*--------------------------------------------------
Cards
--------------------------------------------------*/
.cards a {
  text-decoration: none;
}

.cards p {
  color: var(--gray-9);
}

.cards .title a {
  color: var(--gray-9);
}

/*----------------------------------------
Cards – Post Cards
----------------------------------------*/
.post_cards {
  gap: var(--grid-space) 3%;
}

.post_cards.row {
  margin-inline: 0;
}

.post_cards li {
  padding: 0;
}

.post_cards.cols_3 li {
  width: min(100%, calc(100% / 3 - 2%));
  transition: var(--transition);
}

.post_cards li:hover {
  box-shadow: var(--box-shadow-hover);
}

/* Post Cards – Content
----------------------------------------*/
.post_cards .content {
  padding: var(--space-md) var(--space-lg) var(--space-lg);
}

.post_cards .content .title {
  margin-bottom: var(--space-xs);
  font-weight: 700;
  text-wrap: balance;
}

.post_cards .content .excerpt {
  font-size: 1em;
}

/* Post Cards – Image
----------------------------------------*/
.post_cards .image {
  display: block;
  aspect-ratio: 1.618/1;
  position: relative;
  overflow: hidden;
}

.post_cards .image img {
  object-fit: cover;
  height: 100%;
  width: auto;
  margin-inline: auto;
  display: block;
  position: relative;
  z-index: 1;
}

/*--------------------------------------------------
Chips
--------------------------------------------------*/
.chips {
  gap: 1em;
}

.chips li {
  flex: 1;
}

.chips a {
  display: flex;
  gap: 1em;
  text-decoration: none;
  padding: var(--space-xs);
  align-items: center;
  justify-content: space-between;
  border-radius: 100px;
  border: 1px solid var(--gray-4);
}

.chips .image {
  flex: 1;
  aspect-ratio: 1/1;
  border-radius: 100%;
}

.chips .name {
  flex: 3;
  margin: 0;
  color: var(--gray-9);
  font-size: 0.9em;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.chips a:hover {
  box-shadow: var(--box-shadow-sm-hover);
}

/* Chips – Terms
-------------------------------------------------- */
.post_terms.chips {
  gap: 1em;
}

.post_terms.chips li {
  flex: 1 1 20%;
  max-width: 24%;
}

.post_terms.chips .name {
  flex: 7;
}

/*--------------------------------------------------
Accordions
--------------------------------------------------*/
.accordion > ul {
  height: 0;
  transition: var(--transition);
  opacity: 0;
  visibility: 0;
  transform: scaleY(0);
  transform-origin: top;
  width: 100%;
}

.accordion:has(.open) > ul {
  opacity: 1;
  visibility: visible;
  transform: scaleY(1);
  height: auto;
}

.accordion .toggle {
  cursor: pointer;
  position: relative;
}

.accordion button.toggle {
  border: none;
  background-color: var(--transparent);
}

.accordion .toggle::before,
.accordion .toggle::after {
  content: "";
  display: block;
  width: 0.65em;
  height: 0.125em;
  background-color: var(--gray-6);
  position: absolute;
  left: 0;
  top: 50%;
  border-radius: 10px;
}

.accordion .toggle::before {
  transform: rotate(45deg) translateY(0);
  left: -0.35em;
}

.accordion .toggle::after {
  transform: rotate(-45deg) translateY(0);
  left: 0.065em;
}

.accordion:has(.open) .toggle::before {
  left: -0.25em;
}

.accordion:has(.open) .toggle::after {
  left: -0.25em;
}

.accordion ul {
  padding-left: var(--space-sm);
}

/*--------------------------------------------------
Breadcrumbs
--------------------------------------------------*/

@media only screen and (max-width: 1024px) {
  /*----------------------------------------
  Chips – Term Chips
  ----------------------------------------*/
  .post_terms.chips li {
    flex: 1 1 30%;
    max-width: 33%;
  }

  .post_terms.chips li:nth-child(n + 10) {
    display: none;
  }

  /* 1024px */
}

@media only screen and (max-width: 768px) {
  /* 768px */
}

@media only screen and (max-width: 600px) {
  /*----------------------------------------
  Chips – Term Chips
  ----------------------------------------*/
  .post_terms.chips li {
    flex: 1 1 47%;
    max-width: 50%;
  }

  .post_terms.chips li:nth-child(n + 7) {
    display: none;
  }

  /* 600px */
}
